IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Application.UserValidationKeyLog')
BEGIN
	CREATE TABLE [Data.Application.UserValidationKeyLog]
	(
		Id BIGINT NOT NULL PRIMARY KEY,
		UserId BIGINT NULL,
		ValidationKey NVARCHAR(86) NOT NULL,
		LogDate DATETIME  NOT NULL,
		[Status] INT NOT NULL,
		FOREIGN KEY (UserId) REFERENCES [Data.Application.User] (Id)
	)
END
